#!/bin/sh

TOOL_DIR=/dsm-tools
RTKT_DIR=/rootkits

UID=`id | sed 's/uid=\([0-9]*\)(.*/\1/'`
if [ ! "x$UID" = "x0" ];
then
    echo "Please execute by root authentification."
    exit 1
fi

FIFO_DIR_REGEX='dsysmon[0-9]+'
FIFO_BASE_DIR=/tmp
FIFO_DIR=`ls -1 ${FIFO_BASE_DIR} | egrep -e ${FIFO_DIR_REGEX}`

if [ "x$FIFO_DIR" = "x" ];
then
    echo "Could not find fifo directory in /tmp."
    exit 1
fi

# If $FIFO_DIR has multiple words, these words is splitted by space.
if [ `echo $FIFO_DIR | wc -w` -ne 1 ];
then
    echo "Found multiple dsysmon<PID> direcotry in ${FIFO_BASE_DIR}."
    exit 1
fi

${RTKT_DIR}/rpld_receiver &

python ${TOOL_DIR}/dsm-gui.py -l netlog0 -r netlog1 \
    -d ${FIFO_BASE_DIR}/${FIFO_DIR}

# demo-B-gui.sh ends here.
